Lte driver EG18-EA EG18EAPAR01A11M4G

Please I need help…where can I download LTE Update drivers for my EG18-EA.
Now I have EG18EAPAR01A08M4G?? I think the lasyt one its EG18EAPAR01A11M4G??
Thanks in advance and Best Regards

Hi,
The firmware has been sent to you, please note to check.

Thank you very much!!
Please can you send me also de firmware EG18EAPAR01A08M4G to have a backup??
Thanks a lot for you help and Kind Regards

Sorry, EG18EAPAR01A08M4G does not have an archived version at present and cannot be sent to you.

I have found last firmware zip update 08 to 11 and downgrade 11 to 08 here Zyxel Lte5398 Lte Module Update EG18EAPARO1A11M4G | eBay

Hi, can you sand me the EG18EAPAR01A11M4G ? thanks so much

@Mer.Ceosk The new firmware has been sent to you, please note to check.

1 Like

Hello, please can you send me the EG18EAPAR01A11M4G module?
Thanks

@rebic01 The new version has been sent to you, please check.

can you send it to me too? It’s fine for a Zyxel LTE5398-M904?

Thanks

@bepperino The new firmware version has been sent to you, please note to check.

Hello,
just tried to upload the file on my Zyxel LTE5398-M904 but I received the message "
Image uploading failed. The selected file is an illegal image."

You can upgrade using QFlash

This zip format its NOT valid to update Zyxel module you can damage it. The only update valid its this one Zyxel Lte5398 Lte Modem Module Update EG18EAPARO1A11M4G from EG18EAPARO1A08M4G | eBay

Este formato zip NO es válido para actualizar el módulo Zyxel, puede dañarlo. La única actualización válida es esta Zyxel Lte5398 Lte Actualización del módulo de módem EG18EAPARO1A11M4G desde EG18EAPARO1A08M4G | eBay

Este formato zip NO es válido para actualizar el módulo Zyxel, puede dañarlo.
Necesita un archivo valido reconocido por Zyxel.

To update a Zyxel terminal you need A D FOTA update zip file.

i have Zyxel LTE7490-M904 - EG18EAPAR01A11M4G
is there a newer one?

What’s the difference?

Hi you have the last one. There is a beta version EG18EAPAR01A12M4G, but we are still working on it. Remember that to update module you always need a DFota.zip. Regards

1 Like